Skip to main content
GET
/
generations
List
curl --request GET \
  --url https://api.hedra.com/web-app/public/generations \
  --header 'X-API-Key: <api-key>'
{
  "page_info": {
    "limit": 123,
    "offset": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "text",
      "input": {
        "generated_video_inputs": {
          "text_prompt": "<string>",
          "ai_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "resolution": "<string>",
          "aspect_ratio": "<string>",
          "duration_ms": 123,
          "bounding_box_target": {
            "[0]": 0.5,
            "[1]": 0.5
          },
          "character_orientation": "video",
          "enhance_prompt": false
        },
        "workspace_id": "<string>",
        "agent_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "generation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "generation_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "type": "video",
        "ai_model_id": "d1dd37a3-e39a-4854-a298-6510289f9cf2",
        "start_keyframe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "start_keyframe_url": "<string>",
        "end_keyframe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "end_keyframe_url": "<string>",
        "audio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "audio_generation": {
          "voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "text": "<string>",
          "workspace_id": "<string>",
          "agent_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "generation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "generation_ids": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ],
          "type": "text_to_speech",
          "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "stability": 1,
          "speed": 1,
          "language": "auto"
        },
        "audio_start_ms": 123,
        "reference_image_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "batch_size": 1
      },
      "status": "complete",
      "progress": 123,
      "created_at": "<string>",
      "eta_sec": 123,
      "credit_cost": 123,
      "batch_generation_id": "<string>",
      "asset": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "text",
        "name": "<string>",
        "thumbnail_url": "<string>",
        "created_at": "<string>",
        "asset": {
          "width": 123,
          "height": 123,
          "url": "<string>",
          "type": "uploaded_image"
        },
        "description": "<string>",
        "is_favorite": false,
        "recent": false,
        "favorited_at": "<string>"
      },
      "error": {
        "type": "UNKNOWN",
        "message": "<string>"
      },
      "error_message": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

type
Available options:
text,
image,
audio,
video,
voice
created_before
string<date-time> | null
created_after
string<date-time> | null
prompt_query
string | null
agent_thread_id
string<uuid> | null
ids
string | null
paging_params
PagingParams · object

Response

Successful Response

page_info
PageInfo · object
required

Paging information.

data
Generation · object[]
required

Page data.